Package org.apache.sling.servlets.resolver.internal.resource

# Class JavaxSlingServletConfig

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletConfigWrapper
org.apache.sling.servlets.resolver.internal.resource.JavaxSlingServletConfig

All Implemented Interfaces:
  `javax.servlet.ServletConfig`

public class JavaxSlingServletConfig extends org.apache.felix.http.javaxwrappers.ServletConfigWrapper

## Constructor Summary

Constructors
Constructor
Description
`JavaxSlingServletConfig(SlingServletConfig cfg)`

## Method Summary

Modifier and Type
Method
Description
`SlingServletConfig`
`getSlingServletConfig()`

### Methods inherited from class org.apache.felix.http.javaxwrappers.ServletConfigWrapper

`getInitParameter, getInitParameterNames, getServletContext, getServletName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaxSlingServletConfig

public JavaxSlingServletConfig(SlingServletConfig cfg)

## Method Details

### getSlingServletConfig

public SlingServletConfig getSlingServletConfig()